# -*- coding: utf-8 -*-
"""Tools for analysis of kinetics scan series data generated by an Aglient Cary 60."""

import logging
from .main import plot_uvvis, _log as _log_main

def enable_logging(level: str = "warning"):
    """Enables logging output.

    Parameters:
        level: str
            lowercase logging level (i.e. "debug", "info", "warning" etc.) 
            See docs of logging module for more information

    """

    logging.basicConfig()
    _log_main.setLevel(level.upper())

